﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Web;
using System.Web.Configuration;
using System.Web.UI;
using System.Web.UI.WebControls;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;
using System.Data;
using System.Data.SqlClient;
using Microsoft.SqlServer.Types;
using System.Text;
using System.Drawing;
using System.Web.UI.DataVisualization.Charting;
using System.IO;


namespace rMetrixOnline
{
    public partial class _Default : System.Web.UI.Page
    {        
        #region Methods

        /// <summary>
        /// Called when the page is loaded
        /// Initializes all of the widgets on the screen
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {                
                // Start Date
                //textBoxStartDate.Text = DateTime.Now.ToShortDateString();

                // End Date
                //textBoxEndDate.Text = DateTime.Now.ToShortDateString();

                // Map - Background and Defaults          
                Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#E5E3DF"));
                Map1.MapUnit = GeographyUnit.DecimalDegree;
                Map1.CurrentExtent = new RectangleShape(-80.0, 40.0, -70.0, 35.0);

                // Map - World
                WorldMapKitWmsWebOverlay worldMapKitOverlay = new WorldMapKitWmsWebOverlay("World");
                Map1.CustomOverlays.Add(worldMapKitOverlay);

                // Map - Scale
                ScaleLineAdornmentLayer scale_line_adornment_layer = new ScaleLineAdornmentLayer();
                LayerOverlay scale_line_adornment_layer_overlay = new LayerOverlay("Scale Line Adornment");
                scale_line_adornment_layer_overlay.IsBaseOverlay = false;
                scale_line_adornment_layer_overlay.TileType = TileType.SingleTile;
                scale_line_adornment_layer_overlay.Layers.Add("ScaleLineAdornmentLayer", scale_line_adornment_layer);
                Map1.CustomOverlays.Add(scale_line_adornment_layer_overlay);

                // Map - Loading Image
                Map1.MapTools.LoadingImage.Enabled = true;
                Map1.MapTools.LoadingImage.Width = 128;
                Map1.MapTools.LoadingImage.Height = 15;
                Map1.MapTools.LoadingImage.ImageUri = new Uri(new Uri(Request.Url.AbsoluteUri), "Images/ajax-loader.gif");

                // Map - Overlay Switcher
                Map1.MapTools.OverlaySwitcher.Enabled = true;
                Map1.MapTools.OverlaySwitcher.BaseOverlayTitle = "World";
                Map1.MapTools.OverlaySwitcher.DynamicOverlayTitle = "Layers";
                Map1.MapTools.OverlaySwitcher.BackgroundColor = GeoColor.FromArgb(255, 94, 106, 70);
            }

        } // end Page_Load
        
        #endregion
    }
}
